package PureMessage::Policy::Spam::Config::BATV;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
        batv                    => ['#str', 'max_age => 7'],
        strip                   => ['#bool', 0],
    );
    for my $key (keys %conf) {
	my $path = "plugin#batv.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{batv} = {
        batv       => ['str', 'batv'],
        strip      => ['int', 'strip']
    };
}

1;
